package com.younike.hlpay.service;

import com.younike.hlpay.dto.BillInfo;
import com.younike.hlpay.dto.PaymentParam;

import java.math.BigDecimal;
import java.util.Map;

public interface IPayService {
    Map<String, Object> wxAppletPay(PaymentParam paymentParam, BillInfo billInfo);

    Map<String, Object> aliSdkPay(PaymentParam paymentParam, BillInfo billInfo);

    Map<String, Object> hlbPay(PaymentParam param, String openId);

    /**
     * @param orderId 订单ID
     * @param merchantEmail 商家支付账号邮箱
     * @param refundAmount  退款金额
     * @param merchantAmount 商家承担退费金额
     * @param payWay 订单支付方式（"001"：微信，"002"：支付宝）
     * @return
     */
    boolean orderRefund(String orderId, String merchantEmail, BigDecimal refundAmount, BigDecimal merchantAmount, String payWay);
}
